Bug 142781 - mechanism for automatic driver upgrades is disabled
mechanism for automatic driver upgrades is disabled
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-12-13 20:26 EST by Tim Burke
Modified: 2015-01-04 17:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-06 11:13:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Burke 2004-12-13 20:26:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
From an email thread on rhkernel-list titled Re: Fwd: Issues with SCSI Transport Classes and the LSI mptfusion driver:

Bill Nottingham:
the mechanism for doing automatic driver upgrades is currently disabled
 in the kernel.  /usr/sbin/module_upgrade being run from the %post of the kernel.

DaveJ:
How much headache is this going to cause RHEL4 upgrades ?

Bill: 
Sound configuration will break on all upgrades.
People using eepro100, megaraid, dpt_i2o, sym53c8xx_2/ncr53c8xx will also see problems.

DaveJ:
This sounds of sufficient to get into the respin in the new year
to me

Version-Release number of selected component (if applicable):
pre-rc2 (903 kernel)

How reproducible:
Always

Steps to Reproduce:
1.x
2.
3.
  

Actual Results:  x

Expected Results:  x

Additional info:

x
Comment 5 Dave Jones 2004-12-29 01:24:30 EST
fixed in cvs
Comment 6 Jay Turner 2005-01-06 11:13:04 EST
Fix confirmed with 2.6.9-5.EL.

Note You need to log in before you can comment on or make changes to this bug.